org.apache.xalan.processor

## Class XSLTElementDef

- java.lang.Object
- - org.apache.xalan.processor.XSLTElementDef

Direct Known Subclasses:
  XSLTSchema

    public class XSLTElementDef
    extends java.lang.Object

This class defines the allowed structure for an element in a XSLT stylesheet, is meant to reflect the structure defined in http://www.w3.org/TR/xslt#dtd, and the mapping between Xalan classes and the markup elements in the XSLT instance. This actually represents both text nodes and elements.

### Method Summary

Methods
`XSLTElementProcessor` `getElementProcessor()` Return the XSLTElementProcessor for this element.
`XSLTElementDef[]` `getElements()` Get the allowed elements for this type.
`void` `setElementProcessor(XSLTElementProcessor handler)` Set the XSLTElementProcessor for this element.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getElements

    public XSLTElementDef[] getElements()

Get the allowed elements for this type.

Returns:
  An array of allowed child element defs, or null.
Usage:
  **For internal use only**

#### getElementProcessor

    public XSLTElementProcessor getElementProcessor()

Return the XSLTElementProcessor for this element.

Returns:
  The element processor for this element.
Usage:
  **For internal use only**

#### setElementProcessor

    public void setElementProcessor(XSLTElementProcessor handler)

Set the XSLTElementProcessor for this element.

Parameters:
  `handler` - The element processor for this element.
Usage:
  **For internal use only**